<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-adumo" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
                <h1><?php echo $heading_title; ?></h1>
            </div>
    </div>
    
    <div class="container-fluid">
        <?php if ($error_warning) { ?>
            <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            </div>
        <?php } ?>
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
            </div>
            <div class="panel-body">
                <div class="alert alert-info">
                    <p>
                        You can set the webhook in the Adumo Dashboard to: {your store's web address}<b><?php echo $help_webhook; ?></b>
                    </p>
                    <p>
                        The following are examples of how it should look:
                        <ul>
                            <li>https://www.example.com/<b><?php echo $help_webhook; ?></b></li>
                            <li>https://www.example.com/index.php<b><?php echo $help_webhook; ?></b></li>
                        </ul>
                    </p>
                </div>
                <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-adumo" class="form-horizontal">
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="input-merchant"><?php echo $entry_merchant; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="adumo_merchant_id" value="<?php echo $adumo_merchant_id; ?>" placeholder="<?php echo $entry_merchant; ?>" id="input-merchant" class="form-control" />
                            <?php if ($error_merchant) { ?>
                                <div class="text-danger"><?php echo $error_merchant; ?></div>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="input-secret"><span data-toggle="tooltip" title="<?php echo $help_secret; ?>"><?php echo $entry_secret; ?></span></label>
                        <div class="col-sm-10">
                            <input type="text" name="adumo_merchant_secret" value="<?php echo $adumo_merchant_secret; ?>" placeholder="<?php echo $entry_secret; ?>" id="input-secret" class="form-control" required/>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="input-payment-url"><span data-toggle="tooltip" title="<?php echo $help_payment_url; ?>"><?php echo $entry_payment_url; ?></span></label>
                        <div class="col-sm-10">
                            <input type="url" name="adumo_merchant_payment_url" value="<?php echo $adumo_merchant_payment_url; ?>" placeholder="<?php echo $entry_payment_url; ?>" id="input-payment-url" class="form-control" required/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-total"><span data-toggle="tooltip" title="<?php echo $help_total; ?>"><?php echo $entry_total; ?></span></label>
                        <div class="col-sm-10">
                            <input type="number" min="1" name="adumo_total" value="<?php echo $adumo_total; ?>" placeholder="<?php echo $entry_total; ?>" id="input-total" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-sm-2 control-label" for="input-geo-zone"><?php echo $entry_geo_zone; ?></span></label>
                        <div class="col-sm-10">
                            <select name="adumo_geo_zone_id" id="input-geo-zone" class="form-control">
                                <?php foreach ($geo_zones as $geo_zone) { ?>
                                    <?php if ($geo_zone['geo_zone_id'] == $adumo_geo_zone_id) { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                                    <?php } else { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-payment-type"><?php echo $entry_payment_type; ?></label>
                        <div class="col-sm-10">
                            <select name="adumo_application_id" id="input-payment-type" class="form-control">
                                <?php foreach ($entry_payment_types as $name=>$value) { ?>
                                    <?php if ($value == $adumo_application_id) { ?>
                                        <option value="<?php echo $value; ?>" selected="selected"><?php echo $value; ?></option>
                                    <?php } else { ?>
                                        <option value="<?php echo $value; ?>"><?php echo $name; ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-order-status"><?php echo $entry_order_status; ?></label>
                        <div class="col-sm-10">
                            <select name="adumo_order_status_id" id="input-order-status" class="form-control">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                    <?php if ($order_status['order_status_id'] == $adumo_order_status_id) { ?>
                                        <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                    <?php } else { ?>
                                        <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-suffix"><span data-toggle="tooltip" title="<?php echo $help_suffix; ?>"><?php echo $entry_suffix; ?></span></label>
                        <div class="col-sm-10">
                            <input type="text" name="adumo_merchant_suffix" value="<?php echo $adumo_merchant_suffix; ?>" placeholder="<?php echo $entry_suffix; ?>" id="input-suffix" class="form-control"/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                        <div class="col-sm-10">
                            <select name="adumo_status" id="input-status" class="form-control">
                                <?php if ($adumo_status) { ?>
                                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                                    <option value="0"><?php echo $text_disabled; ?></option>
                                <?php } else { ?>
                                    <option value="1"><?php echo $text_enabled; ?></option>
                                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php echo $footer; ?>